Bug 442900 - Drawing corruption when window is too small
Drawing corruption when window is too small
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
https://bugzilla.redhat.com/buglist.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 10:28 EDT by Sitsofe Wheeler
Modified: 2008-10-20 17:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the corruption (169.64 KB, image/png)
2008-04-17 10:33 EDT, Sitsofe Wheeler
no flags Details

  None (edit)
Description Sitsofe Wheeler 2008-04-17 10:28:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008041301 Fedora/3.0-0.54.beta5.fc9 Firefox/3.0b5

Description of problem:
When looking at a very long list of bugs in a small (width wise) window corruption due to lack of updates is visible.

Version-Release number of selected component (if applicable):
firefox-3.0-0.54.beta5.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Start firefox .
2. Go to https://bugzilla.redhat.com/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&version=&component=firefox&query_format=advanced&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&keywords_type=allwords&keywords=&bugidtype=include&bug_id=&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Bug+Number+Ascending&field0-0-0=noop&type0-0-0=noop&value0-0-0= .
3. Resize the window so it is less than 800 pixels wide.
4. Scroll down then back up.

Actual Results:
Top of bug list page with a white background.

Expected Results:
Background is black. Corruption appears and left over graphics appear.

Additional info:
Hovering over certain elements (e.g. the links Specific, Simple, Advanced, Duplicates) can make the corruption appear.

Graphics card is an nVidia Corporation NV10DDR [GeForce 256 DDR] (rev 10) . Graphics driver is xorg-x11-drv-nv-2.1.8-1.fc9.i386 .
Comment 1 Sitsofe Wheeler 2008-04-17 10:33:11 EDT
Created attachment 302753 [details]
Screenshot showing the corruption
Comment 2 Sitsofe Wheeler 2008-04-17 10:39:18 EDT
Hmm. I appear to have the expected and actual the wrong way round:

Expected Results:
Top of bug list page with a white background.

Actual Results:
Background is black. Corruption appears.
Comment 3 Bug Zapper 2008-05-14 05:34:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2008-07-25 11:36:41 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Matěj Cepl 2008-09-12 10:59:35 EDT
Reporter, can you reproduce this bug with the current upgrades to Fedora 9 firefox? I certainly cannot.
Comment 6 Matěj Cepl 2008-10-20 17:30:04 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.